using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.Passport.DataAccess
{
	public class RightsInsert : DataAccessBase
	{
		public RightsInsert()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[RightsInsert]");
			ConfigParameter();
		}

		private SqlParameter paramRightID;
		public System.Int32 RightID
		{
			get
			{
				return (System.Int32)paramRightID.Value;
			}
			set
			{
				paramRightID.Value = value;
			}
		}

		private SqlParameter paramRightName;
		public System.String RightName
		{
			get
			{
				return (System.String)paramRightName.Value;
			}
			set
			{
				paramRightName.Value = value;
			}
		}

		private SqlParameter paramRightTypeID;
		public System.Int32 RightTypeID
		{
			get
			{
				return (System.Int32)paramRightTypeID.Value;
			}
			set
			{
				paramRightTypeID.Value = value;
			}
		}

		private SqlParameter paramSubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return (System.String)paramSubSystemID.Value;
			}
			set
			{
				paramSubSystemID.Value = value;
			}
		}

		private SqlParameter paramRightDisplayName;
		public System.String RightDisplayName
		{
			get
			{
				return (System.String)paramRightDisplayName.Value;
			}
			set
			{
				paramRightDisplayName.Value = value;
			}
		}

		private SqlParameter paramRightMemo;
		public System.String RightMemo
		{
			get
			{
				return (System.String)paramRightMemo.Value;
			}
			set
			{
				paramRightMemo.Value = value;
			}
		}

		private SqlParameter paramCreateTime;
		public System.DateTime CreateTime
		{
			get
			{
				return (System.DateTime)paramCreateTime.Value;
			}
			set
			{
				paramCreateTime.Value = value;
			}
		}

		private SqlParameter paramCreateUser;
		public System.Int32 CreateUser
		{
			get
			{
				return (System.Int32)paramCreateUser.Value;
			}
			set
			{
				paramCreateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateTime;
		public System.DateTime UpdateTime
		{
			get
			{
				return (System.DateTime)paramUpdateTime.Value;
			}
			set
			{
				paramUpdateTime.Value = value;
			}
		}

		private SqlParameter paramUpdateUser;
		public System.Int32 UpdateUser
		{
			get
			{
				return (System.Int32)paramUpdateUser.Value;
			}
			set
			{
				paramUpdateUser.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramRightID = new SqlParameter();
			paramRightID.ParameterName = "@RightID";
			paramRightID.SqlDbType = SqlDbType.Int;
			paramRightID.Precision = 10;
			paramRightID.Scale = 0;
			paramRightID.Direction = ParameterDirection.InputOutput;
			paramRightID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramRightID);
			//--------------------------------------------------------
			paramRightName = new SqlParameter();
			paramRightName.ParameterName = "@RightName";
			paramRightName.SqlDbType = SqlDbType.VarChar;
			paramRightName.Size = 50;
			paramRightName.Direction = ParameterDirection.Input;
			paramRightName.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramRightName);
			//--------------------------------------------------------
			paramRightTypeID = new SqlParameter();
			paramRightTypeID.ParameterName = "@RightTypeID";
			paramRightTypeID.SqlDbType = SqlDbType.Int;
			paramRightTypeID.Precision = 10;
			paramRightTypeID.Scale = 0;
			paramRightTypeID.Direction = ParameterDirection.Input;
			paramRightTypeID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramRightTypeID);
			//--------------------------------------------------------
			paramSubSystemID = new SqlParameter();
			paramSubSystemID.ParameterName = "@SubSystemID";
			paramSubSystemID.SqlDbType = SqlDbType.VarChar;
			paramSubSystemID.Size = 6;
			paramSubSystemID.Direction = ParameterDirection.Input;
			paramSubSystemID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSubSystemID);
			//--------------------------------------------------------
			paramRightDisplayName = new SqlParameter();
			paramRightDisplayName.ParameterName = "@RightDisplayName";
			paramRightDisplayName.SqlDbType = SqlDbType.VarChar;
			paramRightDisplayName.Size = 100;
			paramRightDisplayName.Direction = ParameterDirection.Input;
			paramRightDisplayName.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramRightDisplayName);
			//--------------------------------------------------------
			paramRightMemo = new SqlParameter();
			paramRightMemo.ParameterName = "@RightMemo";
			paramRightMemo.SqlDbType = SqlDbType.VarChar;
			paramRightMemo.Size = 1000;
			paramRightMemo.Direction = ParameterDirection.Input;
			paramRightMemo.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramRightMemo);
			//--------------------------------------------------------
			paramCreateTime = new SqlParameter();
			paramCreateTime.ParameterName = "@CreateTime";
			paramCreateTime.SqlDbType = SqlDbType.DateTime;
			paramCreateTime.Size = 16;
			paramCreateTime.Scale = 3;
			paramCreateTime.Direction = ParameterDirection.Input;
			paramCreateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateTime);
			//--------------------------------------------------------
			paramCreateUser = new SqlParameter();
			paramCreateUser.ParameterName = "@CreateUser";
			paramCreateUser.SqlDbType = SqlDbType.Int;
			paramCreateUser.Precision = 10;
			paramCreateUser.Scale = 0;
			paramCreateUser.Direction = ParameterDirection.Input;
			paramCreateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateUser);
			//--------------------------------------------------------
			paramUpdateTime = new SqlParameter();
			paramUpdateTime.ParameterName = "@UpdateTime";
			paramUpdateTime.SqlDbType = SqlDbType.DateTime;
			paramUpdateTime.Size = 16;
			paramUpdateTime.Scale = 3;
			paramUpdateTime.Direction = ParameterDirection.Input;
			paramUpdateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateTime);
			//--------------------------------------------------------
			paramUpdateUser = new SqlParameter();
			paramUpdateUser.ParameterName = "@UpdateUser";
			paramUpdateUser.SqlDbType = SqlDbType.Int;
			paramUpdateUser.Precision = 10;
			paramUpdateUser.Scale = 0;
			paramUpdateUser.Direction = ParameterDirection.Input;
			paramUpdateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateUser);
		}
	}
}